Skip to content

Change Personal Password by Mobile Phone

There are three ways to change a personal password:
Change Password by Old Password
Change Password by Email
Change Password by Mobile Phone

This article mainly describes how to change a personal password by mobile phone.

This is a post-login API. You need to add authorization information in the header: Authorization.

Request Description

Request Headers

Parameter NameNameRequiredTypeExample
X-operating-sys-versionCaller client operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller client device fingerprintYesString156aysdna213sc50
X-device-ipCaller client IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
content-typeContent format typeYesStringapplication/json
AuthorizationAuthorization informationNoStringBearer {id_token}

Request Example

json
{
    "verify_code": "123456",
    "password": "P@ssw0rd"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
verify_codeSMS verification codeYesStringSMS verification code
For obtaining the verification code, please refer to Send SMS Verification Code API type=UPDATE_PWD_SMS
passwordNew passwordYesStringThe new password to be set

Response Example

Success Example

HTTP/1.1 200 OK

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "IDAAS.SDK.CAPTCHA.0007",
    "error_msg": "Incorrect verification code"
}

Response Parameters

None

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400IDAAS.SDK.PARAM.0001设备信息不完整Device information is incompletePlease check whether the input device information is complete
400IDAAS.SDK.PARAM.0002clientId不能为空clientId cannot be emptyPlease check whether the input clientId is empty
400IDAAS.SDK.PARAM.0003应用未注册,请先注册应用The app is not registered, please register the app firstPlease check whether the input clientId is correct
400IDAAS.SDK.PARAM.0009验证码不能为空Verification code cannot be emptyPlease check whether the input verification code is empty
400IDAAS.SDK.CAPTCHA.0007验证码不正确Incorrect verification codePlease check whether the input verification code is correct
400IDAAS.SDK.USER.0004手机号不能为空Mobile number cannot be emptyPlease check whether the input mobile number is empty
400IDAAS.SDK.USER.0006密码不能为空Password cannot be emptyPlease check whether the input password is empty
400IDAAS.SDK.USER.0001用户未找到User not foundPlease register first and try again
400IDAAS.SDK.PWD.0001不允许使用历史密码The password is used before, cannot be used againPlease re-enter the password
400IDAAS.SDK.PWD.0002密码不允许使用用户名的倒写Password cannot username in reverse orderPlease re-enter the password
400IDAAS.SDK.PWD.0003密码中不允许包含:用户名、手机号、邮箱前缀、姓名拼音Password cannot contain :username, phone number, email prefix, name in PinYingPlease re-enter the password
400IDAAS.SDK.PWD.0004密码复杂度低,Your password complexity is low,Please re-enter the password
400IDAAS.SDK.PWD.0005该密码为弱密码The password is weakPlease re-enter the password
400IDAAS.SDK.PWD.0006密码中最大字符重复数不能超过Number of character repeat in password should not exceedPlease re-enter the password
400IDAAS.SDK.PWD.0007密码长度为{0}~{1}个字符The password must contain {0} to {1} charactersPlease re-enter the password

BambooCloud IDaaS Open Platform